(def mycount (ref 0))
(def workers (atom []))

(defn worker [id]
  (dotimes [x 300]
    (dosync
      (alter mycount inc))
    (println (str "worker " id ": increment " x))))

(defn launch []
  (dotimes [x 10]
    (swap! workers conj (future (worker x)))))

(launch)
(doseq [w @workers]
  (deref w))
(println "Final count: " @mycount)
